#from pathlib import Path
#work_dir = Path('/path/to/some/logical/parent/dir')
"""
  DEPRECATION: Legacy editable install of coma==0.1 from file:///data/erosita/work/coma/coma (setup.py develop) is deprecated. pip 25.0 will enforce this behaviour change. A possible replacement is to add a pyproject.toml or enable --use-pep517, and use setuptools >= 64. If the resulting installation is not behaving as expected, try using --config-settings editable_mode=compat. Please consult the setuptools documentation for more information. Discussion can be found at https://github.com/pypa/pip/issues/11457
"""


"""
Координаты сентрального кадра, к которому будут
приводиться изображения всех списков событий
"""
ra_cen=194.9601418
de_cen=27.6857267
width=10000

"""
Словарь камер со списком наблюдений каждой камеры.
Номера камер должны быть отсортированы
"""
keylist_tm={'1':['tm1_scan1','tm1_scan2','tm1_scan3','tm1_scan4','tm1_scan5','tm1_scan6','tm1_scan7','tm1_survey'],
            '2':['tm2_scan1','tm2_scan2','tm2_scan3','tm2_scan4','tm2_scan5','tm2_scan6','tm2_scan7','tm2_survey'],
            '3':['tm3_scan1','tm3_scan2','tm3_scan3','tm3_scan4','tm3_scan5','tm3_scan6','tm3_scan7','tm3_survey'],
            '4':['tm4_scan1','tm4_scan2','tm4_scan3','tm4_scan4','tm4_scan5','tm4_scan6','tm4_scan7','tm4_survey'],
            '5':['tm5_scan1','tm5_scan2','tm5_scan3','tm5_scan4','tm5_scan5','tm5_scan6','tm5_scan7','tm5_survey'],
            '6':['tm6_scan1','tm6_scan2','tm6_scan3','tm6_scan4','tm6_scan5','tm6_scan6','tm6_scan7','tm6_survey'],
            '7':['tm7_scan1','tm7_scan2','tm7_scan3','tm7_scan4','tm7_scan5','tm7_scan6','tm7_scan7','tm7_survey'],}

keylist_survey={'1':['tm1_survey'],
                '2':['tm2_survey'],
                '3':['tm3_survey'],
                '4':['tm4_survey'],
                '5':['tm5_survey'],
                '6':['tm6_survey'],
                '7':['tm7_survey'],}


keylist_parts={'1':['tm1_partI','tm1_partII',],
               '2':['tm2_partI','tm2_partII',],
               '3':['tm3_partI','tm3_partII',],
               '4':['tm4_partI','tm4_partII',],
               '5':['tm5_partI','tm5_partII',],
               '6':['tm6_partI','tm6_partII',],
               '7':['tm7_partI','tm7_partII',],}

keylist_partI={'1':['tm1_partI',],
               '2':['tm2_partI',],
               '3':['tm3_partI',],
               '4':['tm4_partI',],
               '5':['tm5_partI',],
               '6':['tm6_partI',],
               '7':['tm7_partI',],}

keylist_partII={'1':['tm1_partII',],
                '2':['tm2_partII',],
                '3':['tm3_partII',],
                '4':['tm4_partII',],
                '5':['tm5_partII',],
                '6':['tm6_partII',],
                '7':['tm7_partII',],}

"""
Примерные центры изображений каждого наблюдения.
Требуется для астрокоррекции. Будет расчитываться матрица сдвигов и поворотов,
так вот, повороты будут проводиться вокруг данных координат.
"""
wcslist={'tm1_obs_1':[34.7279760,-5.0680267],
         'tm5_obs_1':[34.7351248,-4.4407314],
         'tm5_obs_2':[34.8748997,-4.4871658],
         'tm7_obs_1':[35.0015120,-4.7602124],
         'tm7_obs_2':[34.9810029,-4.5915912],
         'tm6_obs_1':[34.4227062,-4.7207170],
         'tm6_obs_2_badpix':[34.7272339,-4.4294153],
         'tm6_obs_3_badpix':[34.8750291,-4.4708468],
         'tm6_park_1':[35.0544951,-4.0613619],
         'tm6_park_2':[35.0558675,-4.0683084],
         'tm6_park_3':[35.0565263,-4.0583538],
         'tm6_park_4':[35.0602986,-4.0622220],
         'tm6_scan_1':[34.5405596,-4.8088748],
         'tm6_scan_2':[34.5405596,-4.8088748],
         'tm6_scan_3':[34.5405596,-4.8088748],
         'tm6_scan_4':[34.5405596,-4.8088748]}

wcslist={'tm1_scan1':[194.9601418,27.6857267],}

""" like in the paper (Table 1) """
obslist={'tm1_obs_1':'N01',
         'tm5_obs_1':'N02',
         'tm5_obs_2':'N03',
         'tm7_obs_1':'N15',
         'tm7_obs_2':'N16',
         'tm6_obs_1':'N12',
         'tm6_obs_2_badpix':'N13',
         'tm6_obs_3_badpix':'N14',
         'tm6_park_1':'N04',
         'tm6_park_2':'N06',
         'tm6_park_3':'N08',
         'tm6_park_4':'N10',
         'tm6_scan_1':'N05',
         'tm6_scan_2':'N07',
         'tm6_scan_3':'N09',
         'tm6_scan_4':'N11'}

""" Это просто индекс диапазона для выходных файлов. """
eband=[     0,   1,    2,    3,    4,    5,    6,     7,]
""" Диапазоны энергий. """
emin_ev=[ 200, 200,  600, 2300, 5000,  500, 1000,   200,]
emax_ev=[2300, 600, 2300, 5000, 8000, 1000, 2000, 10000,]

emin_kev=[0.2, 0.2,  0.6,  2.3,  5.0,  0.5,  1.0,   0.2,]
emax_kev=[2.3, 0.6,  2.3,  5.0,  8.0,  1.0,  2.0,  10.0,]

# Use Pavel's file ../data/ECF/ecf_tbabspow_g2nh0.02.pkl
# see 00_print_ecf.py

ecf = [1.05717e+12, # E0  0.2 -  2.3 keV
       9.80313e+11, # E1  0.2 -  0.6 keV
       1.08963e+12, # E2  0.6 -  2.3 keV
       1.14674e+11, # E3  2.3 -  5.0 keV
       2.77581e+10, # E4  5.0 -  8.0 keV
       1.35463e+12, # E5  0.5 -  1.0 keV 4XMM-DR12 EP2 band
       1.01476e+12, # E6  1.0 -  2.0 keV 4XMM-DR12 EP3 band
       6.40472e+11, # E7  0.2 - 10.0 keV
       ] 
outfile_post='.fits'


