#!/usr/bin/env python
"""
НАЗВАНИЕ:

 05_srctool.py
 
 
НАЗНАЧЕНИЕ:

   Запускает scrtool для самого широкого канала 0.2-10 кэВ, чтобы спектры имели самое полное покрытие по энергиям. Список источников берется из 0.3-2.3 кэВ.

ВЫЗОВ:

   esass
   ./05_srctool.py


УПРАВЛЕНИЕ:

   Требуется запуск предыдущего скрипта 04_mosaics.py
 
ПАРАМЕТРЫ:

   index=4 : Выбранный энергетический диапазон


ВЫВОД:
 
   Выходные файлы записываются в директорию outfile_dir/srctool_dir
  

ИСТОРИЯ:

   Роман Кривонос, ИКИ РАН, krivonos@cosmos.ru
   Март 2023
   
"""

from astropy.wcs import WCS
from astropy.io import fits
import sys, os, os.path, time, subprocess
from pathlib import Path
import numpy as np
import glob
from os.path import dirname
import inspect
import coma
from scipy.stats import norm
import matplotlib.pyplot as plt

import pandas as pd

from coma.utils import *
from coma.config import *



""" find UDS root dir """
#root_path=dirname(dirname(dirname(inspect.getfile(uds))))
"""
ftools does not like long file path names,
for this reason, we use relative path here
"""
root_path='..'
print("Coma root path: {}".format(root_path))

infile_dir=root_path+'/data/processed'
outfile_dir=root_path+'/products'
create_folder(outfile_dir)

outkey="tm0"

outfile_srctool="{}_SrcTool_".format(outkey)

do_print_ecf          = True

if(do_print_ecf==True):
    filename='../data/ECF/ecf_tbabspow_g2nh0.02.pkl'
    with open(filename, 'rb') as f:
        ecf_table = pickle.load(f)
    """    
    for key in table.keys():
        print("{} --> {}".format(key,table[key]))
    """
    
    print(ecf_table[(0.3,2.3)])
    print(ecf_table[(0.3,0.6)])
    print(ecf_table[(0.6,2.3)])
    print(ecf_table[(2.3,5.0)])
    print(ecf_table[(5.0,8.0)])
    print()
    print(ecf_table[(0.5,1.0)]) # 4XMM-DR12 EP2 band
    print(ecf_table[(1.0,2.0)]) # 4XMM-DR12 EP3 band
    print()
    print(ecf_table[(0.2,2.3)]) # 
    print(ecf_table[(0.2,0.6)]) # 
    print()
    print(ecf_table[(0.2,10.0)]) # 
